tapestry-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Emmanuel DEMEY (JIRA)" <j...@apache.org>
Subject [jira] Updated: (TAP5-1442) XSS vulnerability in calendar component
Date Fri, 11 Mar 2011 10:47:59 GMT

     [ https://issues.apache.org/jira/browse/TAP5-1442?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Emmanuel DEMEY updated TAP5-1442:
---------------------------------

    Attachment: datefield_js.patch

> XSS vulnerability in calendar component
> ---------------------------------------
>
>                 Key: TAP5-1442
>                 URL: https://issues.apache.org/jira/browse/TAP5-1442
>             Project: Tapestry 5
>          Issue Type: Bug
>          Components: tapestry-core
>    Affects Versions: 5.2.4
>            Reporter: Emmanuel DEMEY
>         Attachments: datefield_5_2_4_xss_fix.js, datefield_js.patch
>
>
> All the XSS Vulnerabiliy (described here : https://issues.apache.org/jira/browse/TAP5-1057)
is not solved.
> When we use a Software like Paros, we can change the value of Ajax Request parameters.

> We can run javascript code. 
> I did  a patch this morning. I just added the escapeHTML function in both of the errorHandler
methods. 
> Emmanuel

--
This message is automatically generated by JIRA.
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message